# Uses of Interface
javax.sound.sampled.Line

Packages that use Line
Package
Description
javax.sound.sampled
Provides interfaces and classes for capture, processing, and playback of sampled audio data.

## Uses of Line in javax.sound.sampled

Subinterfaces of Line in javax.sound.sampled
Modifier and Type
Interface
Description
`interface`
`Clip`
The `Clip` interface represents a special kind of data line whose audio data can be loaded prior to playback, instead of being streamed in real time.
`interface`
`DataLine`
`DataLine` adds media-related functionality to its superinterface, `Line`.
`interface`
`Mixer`
A mixer is an audio device with one or more lines.
`interface`
`Port`
Ports are simple lines for input or output of audio to or from audio devices.
`interface`
`SourceDataLine`
A source data line is a data line to which data may be written.
`interface`
`TargetDataLine`
A target data line is a type of `DataLine` from which audio data can be read.
Methods in javax.sound.sampled that return Line
Modifier and Type
Method
Description
`static Line`
AudioSystem.`getLine​(Line.Info info)`
Obtains a line that matches the description in the specified `Line.Info` object.
`Line`
LineEvent.`getLine()`
Obtains the audio line that is the source of this event.
`Line`
Mixer.`getLine​(Line.Info info)`
Obtains a line that is available for use and that matches the description in the specified `Line.Info` object.
`Line[]`
Mixer.`getSourceLines()`
Obtains the set of all source lines currently open to this mixer.
`Line[]`
Mixer.`getTargetLines()`
Obtains the set of all target lines currently open from this mixer.
Methods in javax.sound.sampled with parameters of type Line
Modifier and Type
Method
Description
`boolean`
Mixer.`isSynchronizationSupported​(Line[] lines, boolean maintainSync)`
Reports whether this mixer supports synchronization of the specified set of lines.
`void`
Mixer.`synchronize​(Line[] lines, boolean maintainSync)`
Synchronizes two or more lines.
`void`
Mixer.`unsynchronize​(Line[] lines)`
Releases synchronization for the specified lines.
Constructors in javax.sound.sampled with parameters of type Line
Modifier
Constructor
Description
``
`LineEvent​(Line line, LineEvent.Type type, long position)`
Constructs a new event of the specified type, originating from the specified line.